# workflows versions defaults update

## Synopsis

### Update Workflow Defaults

```shell
omics workbench workflows versions defaults update DEFAULT_ID
[--namespace=NAMESPACE]
[--workflow=WORKFLOW_ID]
[--version=VERSION_ID]
[--name=NAME]
[--engine=ENGINE]
[--provider=PROVIDER]
[--region=REGION]
[--values=VALUES]
```

## Description

Update an existing workflow default for a given default ID. Updating completely replaces the old defaults. You can modify properties like name, engine, provider, region, or values for the specified workflow default.

## Examples

Update the name and values of a workflow default:

```shell
omics workbench workflows versions defaults update default-id-1 --name new-default-name --values '{"input1": "new_value"}'
```

Update the engine and provider of a workflow default:

```shell
omics workbench workflows versions defaults update default-id-1 --name "foo" --provider new-provider --values @defaults.json
```

## Positional Arguments

### `DEFAULT_ID`=`STRING`

The ID of the workflow default to be updated. This positional argument is required.

## Flags

### `--namespace`=`STRING`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.

### `--workflow`=`STRING`

The ID of the workflow for which the defaults will be updated.

### `--version`=`STRING`

The ID of the workflow version for which the defaults will be updated.

### `--name`=`STRING`

The new name for the workflow default.

### `--engine`=`STRING`

The selector to use when updating the defaults. This can be used to target a specific execution engine.

### `--provider`=`STRING`

The provider selector to use when updating the defaults. This helps in specifying the backend provider.

### `--region`=`STRING`

The region selector to use when updating the defaults. This helps in specifying the region for execution.

### `--values`=`JSON`

The configuration values to use when updating the defaults. This must be a non-empty JSON object that contains key-value pairs for the workflow inputs.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-defaults-update.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
